// -*- mode: jsonc -*-
{
     "layer": "top", // Waybar at top layer
     "position": "top", // Waybar position (top|bottom|left|right)
    "height": 28, // Waybar height (to be removed for auto height)
    "width": 1280, // Waybar width
    "spacing": 3, // Gaps between modules (4px)
    // Choose the order of the modules
    "modules-left": [
        "sway/workspaces",
        "sway/scratchpad",
        "custom/media"
    ],
    "modules-center": [
        "sway/window"
    ],
    "modules-right": [
        "mpd",
        "sway/language",
        "pulseaudio#volume",
        "network",
	"battery",
        "clock",
        "tray",
        "custom/power",
    ],
    // Modules configuration
    "sway/workspaces": {
        "active-only": false,
        "all-outputs": true,
        "format": "{icon}",
        "show-special": true,
        "on-click": "activate",
        "on-scroll-up": "hyprctl dispatch workspace e+1",
        "on-scroll-down": "hyprctl dispatch workspace e-1",
        "format-icons": {
            "active": "",
            "default": ""
        }
    },
     
     "custom/sep": {
        "format": " ",
        "tooltip": false
    },
    "keyboard-state": {
        "numlock": true,
        "capslock": true,
        "format": "{name} {icon}",
        "format-icons": {
            "locked": "",
            "unlocked": ""
        }
    },
        "sway/language": {
            "format": "{}",
            "format-en": "EN",
            "format-ru": "RU",
            "on-scroll-up": "hyprctl switchxkblayout all next",
            "on-scroll-down": "hyprctl switchxkblayout all prev",
    },



"battery": {
	"bat": "BAT1",
	"interval": 60,
	"states": {
		"warning": 30,
		"critical": 15
	},
	"format": "{capacity}% {icon}",
	"format-icons": ["", "", "", "", ""],
	"max-length": 25
},
    
    "mpd": {
        "format": "{stateIcon} {consumeIcon}{randomIcon}{repeatIcon}{singleIcon}{artist} - {album} - {title} ({elapsedTime:%M:%S}/{totalTime:%M:%S}) ⸨{songPosition}|{queueLength}⸩ {volume}% ",
        "format-disconnected": "Disconnected ",
        "format-stopped": "{consumeIcon}{randomIcon}{repeatIcon}{singleIcon}Stopped ",
        "unknown-tag": "N/A",
        "interval": 5,
        "consume-icons": {
            "on": " "
        },
        "random-icons": {
            "off": "<span color=\"#f53c3c\"></span> ",
            "on": " "
        },
        "repeat-icons": {
            "on": " "
        },
        "single-icons": {
            "on": "1 "
        },
        "state-icons": {
            "paused": "",
            "playing": ""
        },
        "tooltip-format": "MPD (connected)",
        "tooltip-format-disconnected": "MPD (disconnected)"
    },
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "",
            "deactivated": ""
        }
    },
    "tray": {
        // "icon-size": 21,
        "spacing": 10
    },
    "clock": {
        // "timezone": "America/New_York",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
        "format-alt": "{:%Y-%m-%d}"
    },
    "power-profiles-daemon": {
      "format": "{icon}",
      "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
      "tooltip": true,
      "format-icons": {
        "default": "",
        "performance": "",
        "balanced": "",
        "power-saver": ""
      }
    },
    "network": {
        "tooltip": true,
        "format-wifi": " ",
        "rotate": 0,
        "format-ethernet": "󰈀 ",
        "tooltip-format": "Сеть: <b>{essid}</b>\nУровень сигнала: <b>{signaldBm}dBm ({signalStrength}%)</b>\nЧастота: <b>{frequency}MHz</b>\nИнтерфейс: <b>{ifname}</b>\nIP: <b>{ipaddr}/{cidr}</b>\nШлюз: <b>{gwaddr}</b>\nМаска сети: <b>{netmask}</b>",
        "format-linked": "󰈀 {ifname} (No IP)",
        "format-disconnected": "󰖪 ",
        "tooltip-format-disconnected": "Нет соединения",
        "format-alt": "<span>   {bandwidthDownBytes}</span> <span>    {bandwidthUpBytes}</span>",
        "interval": 2,
        "on-click-right": "kitty nmtui"
    },
    "pulseaudio#volume": {
        "scroll-step": 5,
        "format": "{icon} {volume}%",
        "format-bluetooth": "  {icon}  {volume}%",
        "format-muted": "   Мут",
        "tooltip-format": "{desc}",
        "format-icons": {
            "headphone": "  ",
            "default": [
                " ",
                " ",
                "  "
            ]
    },
        "on-click": "pwvucontrol",
        "on-click-right": "wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle"
    },
    "custom/media": {
        "format": "{icon} {}",
        "return-type": "json",
        "max-length": 40,
        "format-icons": {
            "spotify": "",
            "default": "🎜"
        },
        "escape": true,
        "exec": "$HOME/.config/waybar/mediaplayer.py 2> /dev/null" // Script in resources folder
        // "exec": "$HOME/.config/waybar/mediaplayer.py --player spotify 2> /dev/null" // Filter player based on name
    },
    "custom/power": {
        "format" : "⏻ ",
		"tooltip": false,
		"menu": "on-click",
		"menu-file": "$HOME/.config/waybar/power_menu.xml", // Menu file in resources folder
		"menu-actions": {
			"shutdown": "shutdown",
			"reboot": "reboot",
			"suspend": "systemctl suspend",
			"hibernate": "systemctl hibernate"
		}
    }
}
